import QtQuick 2.0

Item {
    id:statusIcons
    width: icon1.width + icon2.width + icon3.width + icon4.width + icon5.width + icon6.width + icon7.width + icon8.width+icon9.width+ 7*20
    height: icon1.height + 20

    property color backgroundColor: "#212121"
    property color iconColor1: "#F5F5F5"
    property color iconColor2: "#F5F5F5"
    property color iconColor3: "#F5F5F5"
    property color iconColor4: "#F5F5F5"
    property color iconColor5: "#F5F5F5"
    property color iconColor6: "#F5F5F5"
    property color iconColor7: "#F5F5F5"
    property color iconColor8: "#F5F5F5"
    property color iconColor9: "#F5F5F5"

    property color borderColor1: "#212121"
    property color borderColor2: "#212121"
    property color borderColor3: "#212121"
    property color borderColor4: "#212121"
    property color borderColor5: "#212121"
    property color borderColor6: "#212121"
    property color borderColor7: "#212121"
    property color borderColor8: "#212121"
    property color borderColor9: "#212121"


    property string iconText1: ""
    property string iconText2: ""
    property string iconText3: ""
    property string iconText4: ""
    property string iconText5: ""
    property string iconText6: ""
    property string iconText7: ""
    property string iconText8: ""
    property string iconText9: ""


    Rectangle {
        id:icon1
        x:0
        y:0
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor1
        color: backgroundColor
        Text {
            text: iconText1
            color: iconColor1
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon2
        y: icon1.y + 10
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor2
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon1.right
        Text {
            text: iconText2
            color: iconColor2
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent

        }
    }
    Rectangle{
        id: icon3
        y: icon2.y + 10
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor3
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon2.right
        Text {
            text: iconText3
            color: iconColor3
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon4
        y: icon3.y
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor4
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon3.right
        Text {
            text: iconText4
            color: iconColor4
            font.pointSize: 15
            font.family: faSolid.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon5
        y: icon4.y
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor5
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon4.right
        Text {
            text: iconText5
            color: iconColor5
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon6
        y: icon5.y
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor6
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon5.right
        Text {
            text: iconText6
            color: iconColor6
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon7
        y: icon6.y - 10
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor7
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon6.right
        Text {
            text: iconText7
            color: iconColor7
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon8
        y: icon7.y - 10
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor8
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon7.right
        Text {
            text: iconText8
            color: iconColor8
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
    Rectangle{
        id: icon9
        y: icon8.y - 10
        height: 40
        width: 40
        radius: 40
        border.width: 1
        border.color: borderColor9
        color: backgroundColor
        anchors.margins: 20
        anchors.left: icon8.right
        Text {
            text: iconText9
            color: iconColor9
            font.pointSize: 15
            font.family: faRegular.name
            anchors.centerIn: parent
        }
    }
}
